#include "handDetect.h"
#include <opencv2/imgproc/imgproc.hpp>
#include<opencv2/opencv.hpp>
#include <opencv2/highgui/highgui.hpp>
#include <stdio.h>
#include <stdlib.h>
#include <iostream>
#include <string>

using namespace cv;
using namespace std;



handDetect::handDetect()
{

}

handDetect::~handDetect()
{

}

vector<Rect> handDetect::haarCascade(Mat frame)
{
    String cascade_name = "handCascade.xml";
    CascadeClassifier hand_cascade;
    if( !hand_cascade.load( cascade_name ) )
    {
        printf("--(!)Error loading\n");
    }
    hand_cascade.detectMultiScale( frame, hand, 1.05, 1,0| CV_HAAR_SCALE_IMAGE , Size(90, 90), Size(150, 150));//1,07,60,60
    return hand;
}





